Skip to navigation

Update EntrySchema

Beta
Update EntrySchema.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entry_schema_idstringRequired
ID of the EntrySchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional
archivedbooleanOptional
descriptionstringOptional
Updated description. When provided, must be at most 1000 characters.
itemIdPrefixstringOptional
namestringOptional

Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.

systemNamestringOptional

Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization.

displayNamestringOptionalDeprecated
Deprecated. Use name instead.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstring or nullOptional
descriptionstringOptional
fieldDefinitionsstringOptionalformat: "uri"
idstringOptional
itemIdPrefixstringOptional
modifiedAtstringOptional
namestringOptional
organizationobjectOptional
systemNamestringOptional
typedIconIdenumOptional
Allowed values:
iconIdstringOptionalDeprecated
Use typedIconId instead, which provides enum validation.

Errors

400
Entry Schema Update Request Bad Request Error
403
Entry Schema Update Request Forbidden Error
404
Entry Schema Update Request Not Found Error
409
Entry Schema Update Request Conflict Error
429
Entry Schema Update Request Too Many Requests Error
500
Entry Schema Update Request Internal Server Error